API Reference
Channels
5 endpoints· Auth: JWT or API Key
get
/api/v1/console/delivery/channels JWT API KeyGet channels
Query parameters
| TypeCode string | — |
| Active boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/channels" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/delivery/channels/{channelId}/rules JWT API KeyGet rules
Path parameters
| channelIdrequired string (uuid) | — |
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/channels/{channelId}/rules" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/delivery/channels/rule-requests JWT API KeyCreate rule-requests
Request body
application/json
{
"channelId": "00000000-0000-0000-0000-000000000000",
"percentage": 0,
"commissionMethod": "string",
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"active": false
}| channelId string (uuid) | — |
| percentage number (double) | — |
| commissionMethod string | — |
| startDate string (date) | — |
| endDate string (date) | — |
| active boolean | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/delivery/channels/rule-requests" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"channelId": "00000000-0000-0000-0000-000000000000",
"percentage": 0,
"commissionMethod": "string",
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/delivery/channels/rules JWT API KeyCreate rules
Request body
application/json
{
"channelId": "00000000-0000-0000-0000-000000000000",
"percentage": 0,
"commissionMethod": "string",
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"active": false
}| channelId string (uuid) | — |
| percentage number (double) | — |
| commissionMethod string | — |
| startDate string (date) | — |
| endDate string (date) | — |
| active boolean | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/delivery/channels/rules" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"channelId": "00000000-0000-0000-0000-000000000000",
"percentage": 0,
"commissionMethod": "string",
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
patch
/api/v1/console/delivery/channels/rules/{ruleId}/active JWT API KeyUpdate active
Path parameters
| ruleIdrequired string (uuid) | — |
Request body
application/json
{
"active": false
}| active boolean | — |
Responses
200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/delivery/channels/rules/{ruleId}/active" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu